# Prerequisites

Please answer the following questions for yourself before submitting an issue. **YOU MAY DELETE THE PREREQUISITES SECTION.**

- [ ] I am running the latest version
- [ ] I checked the documentation and found no answer
- [ ] I checked to make sure that this issue has not already been filed
- [ ] I'm reporting the issue to the correct repository.

## Expected Behavior

Please describe the behavior you are expecting

## Current Behavior

What is the current behavior? Please provide as many details as possible.

## Failure Information (for bugs)

Please help provide information about the failure if this is a bug. If it is not a bug, please remove the rest of this template.

## Step to Reproduce the problem

Please provide detailed steps for reproducing the issue.

1.
2.
3.

### Possible Solution

Fill this section in if you know how this could or should be fixed.

## Specifications

Please provide any relevant information about your setup. This is important in case the issue is not reproducible except for under certain conditions.

* Version: x.x.x
* Python: x.x
* Solidity: x.x.x
* JavaScript: x.x.x
* Node: x.x.x
* OS: macOS/linux/win

## Failure Logs

Please include any relevant log snippets or files here.